> ## Documentation Index
> Fetch the complete documentation index at: https://docs.delfinance.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Consultar beneficiário

> Consulte um beneficiário cadastrado na conta de recebimento pelo id.

> [!WARNING]
>
> **Funcionalidade em beta.** Contrato em proposta, sujeito a mudanças. Veja o guia [Cadastro de beneficiários](https://docs.delfinance.com.br/guias/split-pagamentos/beneficiarios.md).

Retorna um beneficiário cadastrado na conta de recebimento, ativo ou inativo.

## Headers

**x-delbank-api-key** `string` *required*

Sua API key.

**x-delfinance-account-id** `string` *required*

Número da conta de recebimento.

## Path params

**id** `string` *required*

Identificador do beneficiário (UUID).

## Response

Retorna o beneficiário, com a estrutura descrita em [Cadastrar beneficiário](https://docs.delfinance.com.br/api-reference/split-pagamentos/beneficiarios/cadastrar.md#response).

## Erros

| HTTP | Código | Quando acontece |
| - | - | - |
| `404` | `SPLIT_BENEFICIARY_NOT_FOUND` | Não existe beneficiário com esse `id` na conta de recebimento |

```bash cURL theme={null}
curl --location 'https://apisandbox.delbank.com.br/baas/api/v1/split-payments/beneficiaries/6f1c2a9e-3b7d-4e8a-9c21-5d4f0e7b8a13' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}'
```

```json 200 theme={null}
{
    "id": "6f1c2a9e-3b7d-4e8a-9c21-5d4f0e7b8a13",
    "bankAccountNumber": "10050",
    "externalId": "seller-4822",
    "transferType": {
        "name": "PIX_KEY",
        "description": "Pix por Chave",
        "value": 3
    },
    "account": {
        "number": null,
        "branch": null,
        "type": null,
        "participantIspb": null,
        "pixKey": "12345678909",
        "holder": {
            "document": "12345678909",
            "name": "Maria Souza",
            "type": "NATURAL"
        }
    },
    "status": {
        "name": "ACTIVE",
        "description": "Ativo",
        "value": 0
    },
    "createdAt": "2026-11-03T14:00:00.000Z",
    "updatedAt": null
}
```

```json 404 theme={null}
{
    "code": "SPLIT_BENEFICIARY_NOT_FOUND",
    "message": "Beneficiário não encontrado."
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.